Page MenuHomePhabricator

pvelati (Paolo Velati)
User

Projects

User does not belong to any projects.

User Details

User Since
Jun 2 2019, 11:00 PM (24 w, 2 d)

Recent Activity

Wed, Oct 23

pvelati added a comment to T1030: Upgrade ddclient from 3.8.2 to 3.9.0 (support Cloudflare API v4).

Just installed the latest rolling.
I tried the old conf, delete them, and reconfigure dns dynamic.
thanks @c-po , it's working fine now

Wed, Oct 23, 11:26 PM · VyOS 1.2 Crux (VyOS 1.2.4), VyOS 1.3 Equuleus
pvelati added a comment to T1030: Upgrade ddclient from 3.8.2 to 3.9.0 (support Cloudflare API v4).
In T1030#46018, @c-po wrote:

@pvelati looks like that the zone statement is required for Cloudflare only. I did not find a documentation how it should look like. is it only and always the domain part of your dynamic dns entry? If thats the case it can be automatically rendered into the configuration.

Wed, Oct 23, 11:35 AM · VyOS 1.2 Crux (VyOS 1.2.4), VyOS 1.3 Equuleus
pvelati added a comment to T1030: Upgrade ddclient from 3.8.2 to 3.9.0 (support Cloudflare API v4).

I tried the new rolling iso VyOS 1.2-rolling-201910230349 but it doesn't work oob.
I see that you tweaked a bit the ddclient.conf file, but you need to add "zone=" in the conf in order to make it works.

Wed, Oct 23, 9:00 AM · VyOS 1.2 Crux (VyOS 1.2.4), VyOS 1.3 Equuleus

Tue, Oct 22

pvelati added a comment to T1030: Upgrade ddclient from 3.8.2 to 3.9.0 (support Cloudflare API v4).

ok, I've found a way to make it working.

Tue, Oct 22, 9:45 PM · VyOS 1.2 Crux (VyOS 1.2.4), VyOS 1.3 Equuleus
pvelati added a comment to T1030: Upgrade ddclient from 3.8.2 to 3.9.0 (support Cloudflare API v4).

I've tried the VyOS 1.2-rolling-201910220117 with integrated ddclient 3.9.0 and this conf:

vyos@vyos# show service dns dynamic 
 interface pppoe0 {
     service cloudflare {
         host-name test.mydomain.com
         login myemail@gmail.com
         password 000000mycfapikey00000000
     }
 }

but it doesn't work.

Tue, Oct 22, 9:42 PM · VyOS 1.2 Crux (VyOS 1.2.4), VyOS 1.3 Equuleus

Mon, Oct 21

pvelati added a comment to T1030: Upgrade ddclient from 3.8.2 to 3.9.0 (support Cloudflare API v4).

@c-po I tried your 3.9.0 deb package. I installed with some dependencies (libdata-validate-ip-perl libnet-ipv6addr-perl libnet-netmask-perl libnetwork-ipv4addr-perl).
After that, I modified some config parameters in the dns dynamic section to trigger the update but it doesn't work oob.

Mon, Oct 21, 10:09 PM · VyOS 1.2 Crux (VyOS 1.2.4), VyOS 1.3 Equuleus

Oct 20 2019

pvelati added a comment to T1030: Upgrade ddclient from 3.8.2 to 3.9.0 (support Cloudflare API v4).

hi @c-po , I've tried installing the 3.8.3 version but it's not compatible with the new CloudFlare API v4. The only way to make ddclient working with cloudflare is using the 3.9.0.

Oct 20 2019, 10:00 AM · VyOS 1.2 Crux (VyOS 1.2.4), VyOS 1.3 Equuleus

Jun 2 2019

pvelati added a comment to T1030: Upgrade ddclient from 3.8.2 to 3.9.0 (support Cloudflare API v4).

I've tried upgrade version from 3.8.2 to 3.9.0 by replacing the ddclient executable (downloadable from the official site) in /usr/sbin/ddclient
This version needs also the libdata-validate-ip-perl package installed.
After that, reload the configuration and it works.

Jun 2 2019, 11:13 PM · VyOS 1.2 Crux (VyOS 1.2.4), VyOS 1.3 Equuleus